#!/usr/bin/env bash

NTEST=50


echo -e "Structure\tTest\tTaille\tCPU\tMem"
for i in `seq $NTEST`
do
  name="Tableau"
  taille=${RANDOM}000
  res=`(/usr/bin/time -f "%U\t%M" java -jar Main.jar "Tableau" $taille > /dev/null) 2>&1`
  echo -e "$name\t$i\t$taille\t$res"
done


for i in `seq $NTEST`
do
  name="Array"
  taille=${RANDOM}000
  res=`(/usr/bin/time -f "%U\t%M" java -jar Main.jar "Array" $taille > /dev/null) 2>&1`
  echo -e "$name\t$i\t$taille\t$res"
done


for i in `seq $NTEST`
do
  name="Linked"
  taille=${RANDOM}000
  res=`(/usr/bin/time -f "%U\t%M" java -jar Main.jar "Linked" $taille > /dev/null) 2>&1`
  echo -e "$name\t$i\t$taille\t$res"
done


for i in `seq $NTEST`
do
  name="Maillon"
  taille=${RANDOM}000
  res=`(/usr/bin/time -f "%U\t%M" java -jar Main.jar "Maillon" $taille > /dev/null) 2>&1`
  echo -e "$name\t$i\t$taille\t$res"
done
